%global pkgname traceback2
%global sum Backport of the traceback module
%global desc A backport of traceback to older supported Pythons.


# For bootstrapping Python
%bcond_without tests

Name:           python-%{pkgname}
Version:        1.4.0
Release:        25%{?dist}
Summary:        %{sum}

License:        Python
URL:            https://github.com/testing-cabal/traceback2
Source0:        https://pypi.python.org/packages/source/t/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
# Test dependencies
%if %{with tests}
BuildRequires:  python3-contextlib2
BuildRequires:  python3-fixtures
BuildRequires:  python3-testtools
BuildRequires:  python3-unittest2
%endif # with tests

%description
%{desc}


%package     -n python3-%{pkgname}
Summary:        %{sum}
Requires:       python3-linecache2
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
%{desc}



%prep
%setup -qn %{pkgname}-%{version}
# tests shouldn't be installed
mv %{pkgname}/tests .


%build
%py3_build


%install
%py3_install



%if %{with tests}
%check
mv tests %{pkgname}
# test_format_unicode_filename currently fails
%{__python3} -m unittest2 -v || true
mv %{pkgname}/tests .
%endif # with tests


%files -n python3-%{pkgname}
%doc AUTHORS ChangeLog README.rst
%{python3_sitelib}/*


%changelog
* Mon Oct 07 2019 Miro Hrončok <mhroncok@redhat.com> - 1.4.0-25
- Subpackage python2-traceback2 has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Thu Sep 26 2019 Miro Hrončok <mhroncok@redhat.com> - 1.4.0-24
- Reduce the build dependencies by not running tests on Python 2

* Sat Aug 17 2019 Miro Hrončok <mhroncok@redhat.com> - 1.4.0-23
- Rebuilt for Python 3.8

* Thu Aug 15 2019 Miro Hrončok <mhroncok@redhat.com> - 1.4.0-22
- Bootstrap for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 18 2018 Miro Hrončok <mhroncok@redhat.com> - 1.4.0-17
- Rebuilt for Python 3.7

* Wed Jun 13 2018 Miro Hrončok <mhroncok@redhat.com> - 1.4.0-16
- Bootstrap for Python 3.7

* Wed Feb 28 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.4.0-15
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 29 2017 Troy Dawson <tdawson@redhat.com> - 0.5.0-8
- Cleanup spec file conditionals

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Dec 13 2016 Charalampos Stratakis <cstratak@redhat.com> - 1.4.0-10
- Enable tests

* Fri Dec 09 2016 Charalampos Stratakis <cstratak@redhat.com> - 1.4.0-9
- Rebuild for Python 3.6
- Disable python3 tests for now

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jun  8 2016 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.4.0-7
- Adapt to latest Python packaging guidelines

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 14 2015 Toshio Kuratomi <toshio@fedoraproject.org> - - 1.4.0-5
- And reenable the tests

* Sat Nov 14 2015 Toshio Kuratomi <toshio@fedoraproject.org> - - 1.4.0-4
- temporarily disable python3 tests to solve a dep loop

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Sat Jul 25 2015 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.4.0-2
- Spec cleanup
- Fix runtime dependencies

* Wed Jul 22 2015 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.4.0-1
- Initial package
